const require_DidCommCredentialAutoAcceptType = require('./models/DidCommCredentialAutoAcceptType.js');
require('./models/index.js');

//#region ../didcomm/src/modules/credentials/DidCommCredentialsModuleConfig.ts
var DidCommCredentialsModuleConfig = class {
	constructor(options) {
		this.options = options;
	}
	/** See {@link DidCommCredentialsModuleConfigOptions.autoAcceptCredentials} */
	get autoAcceptCredentials() {
		return this.options.autoAcceptCredentials ?? require_DidCommCredentialAutoAcceptType.DidCommAutoAcceptCredential.Never;
	}
	/** See {@link DidCommCredentialsModuleConfigOptions.credentialProtocols} */
	get credentialProtocols() {
		return this.options.credentialProtocols;
	}
};

//#endregion
exports.DidCommCredentialsModuleConfig = DidCommCredentialsModuleConfig;